/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package AccountingMgmt.Budget;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class Budget {
    public void makeBudget() {
    }

    public void addDetail() {
    }

    public BigDecimal calcTotal() {
        if (total.intValue() == 0) {
            recalcTotal();
        }
        return total;
    }

    public BigDecimal recalcTotal() {
        // calc total then set total attribute
        return total;
    }

    public BigDecimal calcAvailable() {
        return new BigDecimal(0);
    }

    public void complete() {
    }

    public void cancel() {
    }

    public void authorize() {
    }

    public static BigDecimal calcTotalBudgets() {
        return new BigDecimal(0);
    }

    public static Vector rankBudgets() {
        return new Vector();
    }

    public static Vector forecastBudgets() {
        return new Vector();
    }

    public static Vector listBudgets() {
        return new Vector();
    }

    /**
     *@shapeType AggregationLink
     *  @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @supplierRole sub
     */
    private Budget lnkUnnamed;

    /**
     *@shapeType AggregationLink
     *     @associates <b>BudgetDetail</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed2;
    private Date dateApproved;
    private int intervalApproved;
    private int priority;
    private BigDecimal total;
    private int status;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private ProjActMgmt.ProjAct.ProjectActivity lnkUnnamed1;
}


